Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

variable.h
Go to the documentation of this file.
1
2 /* per-object */
3
4 struct gen_ivtbl {
5 uint32_t numiv;
6 VALUE ivptr[FLEX_ARY_LEN];
7 };
8
9 struct st_table *rb_ivar_generic_ivtbl(void);
VALUE
unsigned long VALUE
Definition: ruby.h:102
uint32_t
unsigned int uint32_t
Definition: sha2.h:101
gen_ivtbl::ivptr
VALUE ivptr[FLEX_ARY_LEN]
Definition: variable.h:6
rb_ivar_generic_ivtbl
struct st_table * rb_ivar_generic_ivtbl(void)
Definition: variable.c:803
gen_ivtbl::numiv
uint32_t numiv
Definition: variable.h:5
FLEX_ARY_LEN
#define FLEX_ARY_LEN
Definition: internal.h:2620
gen_ivtbl
Definition: variable.h:4
st_table
Definition: st.h:79